| Home | Libraries | People | FAQ | More

## Struct template max_pointer_plus_bits<void *, Alignment>

boost::intrusive::max_pointer_plus_bits<void *, Alignment>

## Synopsis

    template<std::size_t Alignment>
    struct max_pointer_plus_bits<void *, Alignment> {
      static const std::size_t value;
    };

## Description

This is a specialization for raw pointers. Raw pointers can embed extra bits in the lower bits if the alignment is multiple of 2pow(NumBits).